@import 'variables';
@mixin button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 1.5rem 3.5rem;
    border: 1.5px solid #121F31;
    box-sizing: border-box;
    border-radius: 20.1rem;
    font-size: 1.4rem;
    line-height: 1.7rem;
    font-weight: 700;
    text-transform: uppercase;
    background-color: #fff;
    white-space: nowrap;
    height: 4.7rem;
    z-index: 1;
    transition: all 250ms ease-out;
    &:hover {
        border-color: #40E998;
        background: #40E998;
        box-shadow: 0 0 6rem rgba(64, 233, 152, 0.82);
        cursor: pointer;
    }
}

@mixin line {
    background: radial-gradient(73.31% 509.89% at 100% 0%, #40E998 0%, rgba(64, 233, 152, 0) 100%), radial-gradient(106.39% 681.15% at 0% 0%, #B8BCE4 0%, rgba(184, 188, 228, 0) 100%);
}

@mixin item {
    display: flex;
    justify-content: center;
    .itemContent {
        width: 100%;
        max-width: 144rem;
        padding: 0 12rem;
        h2 {
            font-weight: 100;
            font-size: 4.8rem;
            line-height: 4.8rem;
            text-transform: uppercase;
            color: #121F31;
            margin: 0;
        }
        .content {
            display: flex;
            .dates {
                margin-right: 6.2rem;
                width: 18rem;
                font-weight: 400;
                font-size: 1.6rem;
                line-height: 2.4rem;
                color: #121F31;
            }
        }
    }
}

@mixin itemPrint {
    display: block;
    .itemContent {
        width: 100% !important;
        max-width: 100%;
        padding: 0 !important;
        h2 {
            font-size: 1.8rem;
            line-height: 4.8rem;
            margin-bottom: 1rem !important;
            font-weight: 200;
            padding: 0;
        }
        .content {
            width: 46.4rem;
            .dates {
                margin-right: 0;
                font-size: 0.8rem;
                line-height: 1.44rem;
                width: 8rem;
                margin-right: 1rem;
            }
            .description {
                width: 37.4rem;
            }
        }
    }
}